      integer,parameter  :: im0=im0in
      integer, parameter :: nm=nmin
      integer, parameter :: lm = lmin
      integer, parameter :: nsub = nsubin

      integer, parameter :: im=im0, jm=im
      integer, parameter :: im1=im-1, jm1=jm-1

      integer, parameter :: lm1 = lm-1, lp1 =lm +1  

      integer, parameter :: ixm = nsub, jym = ixm, nxy = ixm*jym
      integer, parameter :: ildom = (im - 1)/ixm, jldom = (jm - 1)/jym
      integer, parameter :: ilm = (im - 1)/ixm +1, jlm = (jm - 1)/jym +1 

      logical,parameter::flat=.false.
      logical,parameter::hstst=.false.

!      integer,parameter::igm=360, jgm = 181
      integer,parameter::igm=(im0-1)*4, jgm = (igm/2)+1      

      real,parameter::alfa=0.0, beta=0.0, gamm=0.0
!      real,parameter::alfa=0.*3.1415926/180.,beta=66.*3.1415926/180. &
!	              ,gamm=175.*3.1415926/180.

!JBF: Modificações      integer,parameter::lsm=20

      integer,parameter::lsm=31
